com.thinkaurelius.titan.graphdb.internal

## Interface InternalRelationType

- All Superinterfaces:
    com.tinkerpop.blueprints.Element, Idfiable, InternalElement, InternalVertex, Namifiable, RelationType, Removable, TitanElement, TitanSchemaElement, TitanSchemaType, TitanVertex, com.tinkerpop.blueprints.Vertex
  All Known Subinterfaces:
    SystemRelationType
  All Known Implementing Classes:
    BaseKey, BaseLabel, BaseRelationType, EdgeLabelVertex, EmptyRelationType, ImplicitKey, PropertyKeyVertex, RelationTypeVertex

      public interface InternalRelationType
      extends RelationType, InternalVertex

  Internal Type interface adding methods that should only be used by Titan
  Author:
    Matthias Broecheler (me@matthiasb.com)

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `InternalRelationType` | `getBaseType()`
    `ConsistencyModifier` | `getConsistencyModifier()`
    `Iterable<IndexType>` | `getKeyIndexes()`
    `Multiplicity` | `getMultiplicity()`
    `Iterable<InternalRelationType>` | `getRelationIndexes()`
    `long[]` | `getSignature()`
    `long[]` | `getSortKey()`
    `Order` | `getSortOrder()`
    `SchemaStatus` | `getStatus()`
    `Integer` | `getTTL()`
    `boolean` | `isHiddenType()`
    `boolean` | `isUnidirected(com.tinkerpop.blueprints.Direction dir)`

    - ### Methods inherited from interface com.thinkaurelius.titan.core.RelationType

      `isEdgeLabel, isPropertyKey`

    - ### Methods inherited from interface com.thinkaurelius.titan.core.Namifiable

      `getName`

    - ### Methods inherited from interface com.thinkaurelius.titan.graphdb.internal.InternalVertex

      `addRelation, getAddedRelations, hasAddedRelations, hasLoadedRelations, hasRemovedRelations, it, loadRelations, query, removeRelation`

    - ### Methods inherited from interface com.thinkaurelius.titan.core.TitanVertex

      `addEdge, addEdge, addProperty, addProperty, getEdgeCount, getEdges, getEdges, getLabel, getProperties, getProperties, getProperties, getPropertyCount, getRelations, getTitanEdges, getVertexLabel, isConnected, isModified`

    - ### Methods inherited from interface com.tinkerpop.blueprints.Vertex

      `addEdge, getVertices`

    - ### Methods inherited from interface com.thinkaurelius.titan.graphdb.internal.InternalElement

      `getLifeCycle, isHidden, setId, tx`

    - ### Methods inherited from interface com.thinkaurelius.titan.core.TitanElement

      `getId, getLongId, getProperty, getProperty, hasId, isLoaded, isNew, isRemoved, remove, removeProperty, removeProperty, setProperty, setProperty`

    - ### Methods inherited from interface com.tinkerpop.blueprints.Element

      `getPropertyKeys`

- - ### Method Detail

    - #### isHiddenType

          boolean isHiddenType()

    - #### getSignature

          long[] getSignature()

    - #### getSortKey

          long[] getSortKey()

    - #### getSortOrder

          Order getSortOrder()

    - #### getMultiplicity

          Multiplicity getMultiplicity()

    - #### getConsistencyModifier

          ConsistencyModifier getConsistencyModifier()

    - #### getTTL

          Integer getTTL()

    - #### isUnidirected

          boolean isUnidirected(com.tinkerpop.blueprints.Direction dir)

    - #### getBaseType

          InternalRelationType getBaseType()

    - #### getRelationIndexes

          Iterable<InternalRelationType> getRelationIndexes()

    - #### getStatus

          SchemaStatus getStatus()

    - #### getKeyIndexes

          Iterable<IndexType> getKeyIndexes()

Copyright © 2012–2014. All rights reserved.